Skip to content

List Businesses

GET
/businesses
curl --request GET \
--url https://api.upvio.com/v1/businesses \
--header 'Authorization: Bearer <token>'

List all Businesses that can be accessed within the current context.

List of Businesses

Media type application/json
object
data
Array<object>
Business

All resources are contained within a Business.

object
id
required

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was last updated (ISO 8601 format).

string format: date-time
alias

Unique business alias across the platform. Used for forms and public booking pages.

string
name

The name of the Business.

string
email

Email address.

string format: email
logoURL

URL to the logo image.

string | null
defaultStaffWorkingHours
One of:

A configuration to define active hours.

object
monday

A group of active hours for a single day.

Array<Array<number>>
tuesday

A group of active hours for a single day.

Array<Array<number>>
wednesday

A group of active hours for a single day.

Array<Array<number>>
thursday

A group of active hours for a single day.

Array<Array<number>>
friday

A group of active hours for a single day.

Array<Array<number>>
saturday

A group of active hours for a single day.

Array<Array<number>>
sunday

A group of active hours for a single day.

Array<Array<number>>
enabled

Disabled businesses prevent any staff from using the platform.

boolean
timezone

Timezone string.

string
nullable
Example
{
"data": [
{
"alias": "acme",
"name": "ACME Corp",
"logoURL": "https://account.upvio.com/upvio.favicon.png",
"defaultStaffWorkingHours": {
"monday": [
[
900,
1200
],
[
1300,
1700
]
],
"tuesday": [
[
900,
1200
],
[
1300,
1700
]
],
"wednesday": [
[
900,
1200
],
[
1300,
1700
]
],
"thursday": [
[
900,
1200
],
[
1300,
1700
]
],
"friday": [
[
900,
1200
],
[
1300,
1700
]
],
"saturday": [
[
900,
1200
],
[
1300,
1700
]
],
"sunday": [
[
900,
1200
],
[
1300,
1700
]
]
},
"timezone": "UTC"
}
]
}